Bug 180924

Summary: [Attachment Support] The 'webkitattachmentbloburl' attribute should not persist after markup serialization
Product: WebKit Reporter: Wenson Hsieh <wenson_hsieh>
Component: HTML EditingAssignee: Wenson Hsieh <wenson_hsieh>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, mitz, ryanhaddad, thorton, webkit-bug-importer, wenson_hsieh
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 180892    
Bug Blocks:    
Attachments:
Description Flags
Dependent on https://bugs.webkit.org/show_bug.cgi?id=180892
thorton: review+
Rebase on master none

Description Wenson Hsieh 2017-12-17 20:42:01 PST
This is a temporary attribute, similar to 'webkitattachmentpath', used to correctly serialize attachment elements. As such, there's no need for it to persist on the attachment.

This could lead to strange behavior, for instance, when performing a continuity copy/paste.
Comment 1 Radar WebKit Bug Importer 2017-12-17 20:43:01 PST
<rdar://problem/36099093>
Comment 2 Wenson Hsieh 2017-12-17 20:57:20 PST
Created attachment 329632 [details]
Dependent on https://bugs.webkit.org/show_bug.cgi?id=180892
Comment 3 Wenson Hsieh 2017-12-18 20:33:05 PST
Created attachment 329733 [details]
Rebase on master
Comment 4 WebKit Commit Bot 2017-12-18 21:38:51 PST
Comment on attachment 329733 [details]
Rebase on master

Clearing flags on attachment: 329733

Committed r226097: <https://trac.webkit.org/changeset/226097>
Comment 5 Ryan Haddad 2017-12-19 08:41:00 PST
This change broke the Windows build:
https://build.webkit.org/builders/Apple%20Win%20Release%20%28Build%29/builds/6682